## ikiwiki 1.35

=== doc/examples/softwaresite/doc/Makefile ===
# Build static html docs suitable for being shipped in the software
# package.

all:
	ikiwiki `pwd` html -v --plugin=goodstuff \
		--no-rcs --exclude=/discussion --exclude=html --no-discussion

clean:
	rm -rf .ikiwiki

## ikiwiki 1.8

=== debian/changelog ===
ikiwiki (1.8) unstable; urgency=low

  * Fix orphans plugin to not count a link to a nonexistant page as a reason
    for a page not being an orphan.
  * Support pinging services such as Technorati using XML-RPC to notify them
    about changes to rss feeds.
  * Parse svn log as xml for improved utf8 and security. Note that this makes
    ikiwiki depend on XML::Simple. Patch by Faidon Liambotis.
  * POSIX::strftime doesn't know about encodings and doesn't return a utf8
    flagged string even if the locale causes it to generate utf8 output,
    so make sure to let perl know it should be handled as utf8. Also,
    the optimised version used for standard time formats won't work if the
    user has changed locale, so drop it. Thanks, Faidon Liambotis.
  * Fix re-encoding of the comments field to utf8 if a commit fails
    due to a conflict. Thanks, Faidon Liambotis.
  * Let svn know that commits have utf8 commit messages. Thanks, Faidon
    Liambotis.
  * Add insane double encode/decode to utf8 around call to markdown.
    This works around a truely strange bug, which is apparently a bug in
    perl, #376329. Also added a test case for it.
  * Improve layout of edit page so formatting help link is always visible w/o
    getting in the way of the preview.
  * Centralised all calls to HTML::Template and force all the templates
    to be read as utf8.
  * Support pages with utf8 filenames. Patch by Faidon Liambotis.
  * Introduce add_plugins and disable_plugins config options in setup files.
    This allows adding or removing plugins w/o overriding the whole list of
    default plugins, which makes it easier to upgrade when new default plugins
    are added.
  * Support htmlize plugins and make mdwn one such plugin, which is enabled by
    default (of course!). Based on a patch by Faidon Liambotis.
  * Add a html plugin, which can be used to write wikis in raw html,
    if you'd ever want to do such a thing. Slightly tricky, since ikiwiki
    defaults to not processing .html files, since w/o this plugin they would
    be copied unsanitised. With this plugin, it will process and html
    sanitise them, like any other page type.
  * Rebuilding wrappers is necessary on upgrade to this version.
  * Make ikiwiki --setup --refresh rebuild wrappers, so wrapper rebuild
    will be automatically done on all upgrades.
  * Don't send pings if the wiki is being rebuilt.
  * Work around very innefficient behavior in File::Spec::abs2rel. Result
    is a savings of 2 pointless fork/execs per link calculation, which
    results in ~25% speedup of ikiwiki building its own doc wiki, and
    about 35% speedup displaying RecentChanges!
  * Make RecentChanges use a table and some CSS, should be much more readable.
    No code changes involved.
  * Encode & in diffurl in examples, to conform to pedantic rules.
  * Speed up RecentChanges by another 40% or so with some memoization.
  * Memoize abs2rel, which is still kinda slow, for another 30% speedup
    in time to build the doc wiki.

 -- Joey Hess <joeyh@debian.org>  Tue,  4 Jul 2006 12:46:29 -0400

ikiwiki (1.7) unstable; urgency=low

  * Updated logo from Recai with some kerning and alingment tuning.
  * Patch from Recai to fix git recentchanges code to work with git 1.4 which
    changed some output.
  * Copyright update.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Jun 2006 23:33:35 -0400

ikiwiki (1.6) unstable; urgency=low

  * YA utf-8 patch from Recai, this time to fix previewing a page so that
    the text in the input box is re-encoded back to utf-8.
  * -CSD does not affect modules, so readfile() was not using the utf-8 input
    layer, which led to lots of problems; make it force read files as utf-8.
    Closes: #373203
  * Note that as a consequence, this version of ikiwiki will actually try to
    parse utf8 in source files for the first time, which may expose broken
    utf8 in wiki sources that was hidden before. Most common will be
    perl warnings like "utf8 "\xE9" does not map to Unicode"
  * writefile() likewise needs to use the utf8 output layer.
  * Remove the -CSD from ikiwiki's hashbang since it's useless to have it
    there.
  * Revert some of the decode_utf8 changes in CGI.pm that seem unnecessary
    given the readfile fix.
  * Add utf-8 testcases for readfile and htmlize.
  * Put back the encode_utf8 in the input to markdown; it's really not utf-8
    safe.
  * More utf-8 fixes from Recai, partly to things I broke above:
    - The serious problem is that writefile() saves the content in undecoded
      format in CGI, hence all (non-ascii) chars are corrupted permanently.
    - Comment field in edit page is not decoded and all the non-ascii chars in
      this field are corrupted as the result.  We should decode it as we do it
      for the content.
    - Add 'use encoding "utf8"' to CGI.pm to avoid warnings about wide
      character in print.
  * New SVG logo from Recai.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Jun 2006 19:18:46 -0400

ikiwiki (1.5) unstable; urgency=low

  * Add --timeformat config option to allow changing how dates are displayed.
    Note that as a side effect, dates will now be displayed using the local
    timezone, not as GMT.
  * More security review.
  * Patch from Dr. Zini to add link() and backlink() to globlists. This allows
    for some handy stuff like:
    - Using links as a kind of tag; creating blog pages that list all pages
      containing a given tag/link or not containing some other tag.
    - Subscribing to mail notifications whenever a change is made to a page
      that is a backlink of page foo. Ie, "Please notify me of changes in all
      pages that link to my home page in the wiki"
    - Locking any pages that are linked to from a particular page, so that
      lists of locks can be exposed in the wiki.
  * Reorganised the doc wiki's todo/* pages, using a link/tag to flag
    when a todo item is done, instead of the previous moving it to a different
    subdir.


=== debian/control ===
Source: ikiwiki
Section: web
Priority: optional
Build-Depends: perl, debhelper (>= 5)
Build-Depends-Indep: dpkg-dev (>= 1.9.0), markdown, libhtml-template-perl, libhtml-scrubber-perl, wdg-html-validator
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.2

Package: ikiwiki
Architecture: all
Depends: ${perl:Depends}, libxml-simple-perl, markdown, libtimedate-perl, libhtml-template-perl, libhtml-scrubber-perl, libcgi-formbuilder-perl (>= 3.02.02), libtime-duration-perl, libcgi-session-perl, libmail-sendmail-perl, gcc | c-compiler, libc6-dev | libc-dev
Recommends: subversion | git-core, hyperestraier
Suggests: viewcvs, librpc-xml-perl
Description: a wiki compiler
 ikiwiki converts a directory full of wiki pages into html pages suitable
 for publishing on a website. Unlike many wikis, ikiwiki does not have its
 own means of storing page history or its own markup language. Instead it
 uses subversion (or git) and markdown.
 .
 ikiwiki implements all of the other standard features of a wiki, including
 web-based page editing, user registration and logins, a RecentChanges
 page, BackLinks, search, Discussion pages, tags, smart merging and conflict
 resolution, page locking, and commit emails.
 .
 It also supports generating RSS feeds and blogging.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	perl Makefile.PL
	$(MAKE)
	$(MAKE) test
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	perl Makefile.PL
	-$(MAKE) realclean
	dh_clean

binary-arch: build

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) pure_install INSTALLDIRS=vendor \
		PREFIX=$(shell pwd)/debian/ikiwiki/$(shell perl -MConfig -e 'print $$Config{prefix}')
	dh_install wikilist etc/ikiwiki
	dh_installdocs html
	dh_link usr/share/common-licenses/GPL usr/share/doc/ikiwiki/html/GPL
	dh_installchangelogs
	dh_compress -X html
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/ikiwiki/doc/news

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## ikiwiki 1.33.3

=== debian/changelog ===
ikiwiki (1.33.3) testing-proposed-updates; urgency=medium

  * Fix a security hole that allowed insertion of unsafe content via the meta
    plugins's support for inserting html link and meta tags. Now such content
    is passed through the htmlscrubber like everything else.
  * Unfortunatly, that means that some valid uses of those tags are no longer
    usable, and special case methods needed to be added for including
    stylesheets, and for doing openid delegation. If you use either of these
    in your wiki, it will need to be modified. See the meta plugin docs
    for details.

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Mar 2007 14:56:48 -0400

ikiwiki (1.33.2) testing-proposed-updates; urgency=medium

  * Backport fix for a security hole that allowed a web user to insert
    arbitrary html in the title of a page due to missing escaping of
    titles in the meta plugin.
  * Fix examples directory location.

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Mar 2007 01:55:02 -0400

ikiwiki (1.33.1) testing-proposed-updates; urgency=medium

  * Backport fix for a security hole that allowed a web user to edit images
    and other non-page format files in the wiki. To exploit this, the file
    already had to exist in the wiki, and the web user would need to somehow
    use the web based editor to replace it with malicious content.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Feb 2007 15:30:12 -0500

ikiwiki (1.33) unstable; urgency=low

  * Fix issue with aggregate plugin updating expired pages.
  * Avoid syntax errors in templates used by the template plugin crashing
    ikiwiki.
  * Enable utf8 file IO in aggregate plugin.
  * Fix some issues with the new registration form.
  * Patch from Ethan Glasser Camp to add a skip option to the inline plugin.
  * Make sure to check for errors from every eval.
  * Fix img plugin's handling of adding dependencies for images that do not
    yet exist.
  * Work around a strange bug in CGI::FormBuilder 3.0401 that makes
    FORM-SUBMIT unusable on customised formbuilder templates. For now,
    hardcode the submit buttons in editpage.tmpl instead of using the
    template variable, which is ok, since the buttons are static.
  * Work with hyperestraier 1.4.9.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Nov 2006 18:32:26 -0500

ikiwiki (1.32) unstable; urgency=low

  * Add a separate pass to find page links, and only render each page once,
    instead of over and over. Typical speedup is ~4x. Max possible speedup:
    8x.
  * Add "scan" parameter to hook(), which is used to make the hook be called
    during the scanning pass, as well as the render pass. The meta and tag
    plugins need to use the new scan parameter, so will any others that modify
    %links.
  * Now that links are calculated in a separate pass, it can also
    precalculate backlinks in one pass, which is O(N^2) instead of the
    previous code that was O(N^3). A very nice speedup for wikis with lots
    (thousands) of pages.
  * Stylish update to the ikiwiki logo, thanks to Recai Oktaş and Selçuk
    Erdem.
  * Add a default stylesheet entry for the pagecloud.
  * Add examples page with some examples of things that can be done using
    ikiwiki, like a weblog. The examples can be copied into a user's wiki
    for a quick start, without needing to learn everything about how to put
    them together.
  * Install the source of the examples into /usr/share/doc/ikiwiki/examples.
  * Add perlmagick to build-depends so syntax check of img plugin works.
    Closes: #396702
  * Improve login/register process, the login dialog has only name and
    password fields, which allows more web browsers to regognise it as a login
    field, and is less confusing.
  * Implemented expiry options for aggregate plugin.
  * Use precalculated backlinks info when determining if files need an update
    due to a page they link to being added/removed. Mostly significant if
    there are lots of pages.
  * Remove duplicate link info when saving index. In some cases it could
    pile up rather badly. (Probably not the best way to deal with this
    problem.)
  * Patch from James Westby to support podcasting, photoblogging, vidcasting,
    or what have you, by creating enclosures for non-page items that are
    included in feeds.

 -- Joey Hess <joeyh@debian.org>  Fri,  3 Nov 2006 14:46:37 -0500

ikiwiki (1.31) unstable; urgency=low

  * Patch from Pawel Tecza to cp -a the templates in the Makefile.
  * Change the rss feed title from the wikiname to the page title, with
    an exception for the wiki's toplevel index page, which will still use the
    wikiname as the feed title.
    Overriding the page title with meta title already overrode the rss feed
    tittle.
  * Add an img plugin, based on Christian Mock's img plugin, but stripped
    down to the bare essentials. Useful for handling large images on websites.
  * Sanitize possibly problimatic characters out of the polygen grammar names,
    just in case. Should not be exploitable anyway, since it only tries to run
    polygen after finding the specified grammar file.
  * Add missing dependency on the URI perl module.
  * Add basic spam fighting tool for admins: An admin's prefs page now allows
    editing a list of banned users.

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Oct 2006 23:16:33 -0400

ikiwiki (1.30) unstable; urgency=low

  * Add no_override parameter to hook().
  * Add a shortcut plugin, inspired by Victor Moral's contributed shortcuts
    plugin, but featuring a more ikiwiki-ish syntax and with shortcuts that
    can be configured using a page in wiki.
  * Fix support for --pingurl at the command line.
  * Fix a subtle bug in will_render that broke some builds, by only clearing
    items from renderedfiles the first time per build.
  * Wrap entire technortati ping operation in an eval to catch all possible
    failure modes, after I observed a simple ->value crashing ikiwiki when
    a ping failed.



## ikiwiki 1.33.6

=== debian/changelog ===
ikiwiki (1.33.6) stable-security; urgency=low

  * Some error messages in recent backported security fixes used gettext,
    but this version of ikiwiki is not localised and display of those error
    messages would fail. Remove the gettext use.
  * Fix a problem with cookie setting when httpauth is used. Closes: #479658
    This bug was always present, but was only exposed by the CSRF fixes.

 -- Joey Hess <joeyh@debian.org>  Fri, 30 May 2008 23:34:15 -0400

ikiwiki (1.33.5) stable-security; urgency=high

  * Fix CSRF attacks against the preferences and edit forms. The fix involved
    embedding the session id in the forms, and not allowing the forms to be
    submitted if the embedded id does not match the session id. Closes: #47544

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Apr 2008 16:49:24 -0400

ikiwiki (1.33.4) stable-security; urgency=high

  * htmlscrubber security fix: Block javascript in uris. Closes: #465110
  * meta: Check that the urls provided for authorurl, permalink, and openid
    are safe and can't contain javascript.
  * Add htmlscrubber test suite.
  * Thanks to Josh Triplett for pointing out the holes and for his help
    in implementing and checking fixes.

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Feb 2008 13:34:28 -0500

=== debian/control ===
Source: ikiwiki
Section: web
Priority: optional
Build-Depends: perl, debhelper (>= 5)
Build-Depends-Indep: dpkg-dev (>= 1.9.0), markdown, libhtml-template-perl, libhtml-scrubber-perl, wdg-html-validator, libtext-wikiformat-perl, libhtml-parser-perl, liburi-perl, perlmagick
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.kitenet.net/ikiwiki/trunk

Package: ikiwiki
Architecture: all
Depends: ${perl:Depends}, libxml-simple-perl, markdown, libtimedate-perl, libhtml-template-perl, libhtml-scrubber-perl, libcgi-formbuilder-perl (>= 3.02.02), libtime-duration-perl, libcgi-session-perl (>= 4.14-1), libmail-sendmail-perl, gcc | c-compiler, libc6-dev | libc-dev, libhtml-parser-perl, liburi-perl
Recommends: subversion | git-core | tla | mercurial, hyperestraier
Suggests: viewcvs, librpc-xml-perl, libtext-wikiformat-perl, python-docutils, polygen, tidy, libxml-feed-perl, libmailtools-perl, perlmagick, libfile-mimeinfo-perl
Description: a wiki compiler
 ikiwiki converts a directory full of wiki pages into html pages suitable
 for publishing on a website. Unlike many wikis, ikiwiki does not have its
 own ad-hoc means of storing page history, and instead uses a revision control
 system such as Subversion.
 .
 ikiwiki implements all of the other standard features of a wiki, including
 web-based page editing, user registration and logins, a RecentChanges
 page, BackLinks, search, Discussion pages, tags, smart merging and conflict
 resolution, page locking, and commit emails.
 .
 It also supports generating RSS feeds and blogging, and a plugin system
 allows many other features to be added.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	perl Makefile.PL
+	perl Makefile.PL PREFIX=/usr
 	$(MAKE)
 	$(MAKE) test
 	touch build-stamp
@@ -23,9 +23,10 @@
 	dh_testroot
 	dh_clean -k
 	$(MAKE) pure_install INSTALLDIRS=vendor \
-		PREFIX=$(shell pwd)/debian/ikiwiki/$(shell perl -MConfig -e 'print $$Config{prefix}')
+		DESTDIR=$(shell pwd)/debian/ikiwiki
 	dh_install wikilist etc/ikiwiki
 	dh_installdocs html
+	dh_installexamples doc/examples/*
 	dh_link usr/share/common-licenses/GPL usr/share/doc/ikiwiki/html/GPL
 	dh_installchangelogs
 	dh_compress -X html

## ikiwiki 1.35

=== debian/changelog ===
ikiwiki (1.35) unstable; urgency=low

  * Fix daemonisation code to only do daemon setup things after forking the
    child process.
  * The hack used to make the pagetemplate hook have access to the editpage
    template won't work with CGI::FormBuilder 3.0401, so disable it for now.
  * CGI::FormBuilder 3.0401 seems to work ok now with ikiwiki, although
    there might still be bugs lurking..

 -- Joey Hess <joeyh@debian.org>  Fri,  1 Dec 2006 19:14:36 -0500

ikiwiki (1.34.2) unstable; urgency=low

  * Allow /etc/ikiwiki/wikilist to list just the names of users, if so then
    ~user/.ikiwiki/wikilist will be read.
  * Fix url absolution code in inline plugin to support class and id fields in
    links and imgs, and to support anchor urls.
  * More build deps updates.
  * /dev/null fortune failures

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Nov 2006 12:58:47 -0500

ikiwiki (1.34.1) unstable; urgency=low

  * Add libtime-duration-perl to build deps, as it's used by the svn module
    which is now tested at build.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Nov 2006 12:26:12 -0500

ikiwiki (1.34) unstable; urgency=low

  * Add an openid plugin to support logging in using OpenID.
  * Web commits by OpenID users will record the full OpenID url for the user,
    but in recentchanges, these urls will be converted to a simplified display
    form+link.
  * Modified svn, git, tla backends to recognise such web commits.
  * Move httpauth support to a plugin.
  * Add openidsignup config option.
  * Make the openid plugin support the callbacks from myopenid.com via its
    affiliate program.
  * Add toggle plugin.
  * Add a poll plugin.
  * Add quick mode for archive page generation.
  * Introduce the goodstuff bundle. This is a kind of plugin, that just enables
    many other plugins. It's an easy way to boost ikiwiki from its default,
    basic wiki, to a full-featured wiki, without manually picking the right
    set of plugins. New plugins will be added to goodstuff from time to
    time.
  * Change how post signin actions are propigated through the signin process;
    they're now stored in the session.
  * Add optional "desc" parameter to shortcut definitions.
  * Avoid locking the wiki at all when handling some basic cgi stuff
    (searches, recentchanges).
  * Add "last" parameter to hook function. Very basic ordering, and hopefully
    nothing more spohisticated will be needed.
  * Add formbuilder_setup and formbuilder hooks.
  * Split out a passwordauth module, that holds all the traditional password
    based authentication etc code. It's enabled by default, but can be disabled
    if you want only openid or some other auth method.
  * Rename ikiwiki.pl so MakeMaker doesn't see it, and install it.
  * Add some code to the build system that tries to determine if the
    lib installation directory is in @INC. If it's not, munge ikiwiki
    to hardcode the path to the lib directory. This should allow installing
    ikiwiki in nonstandard locations, including home directories, by just
    setting PREFIX at build time.
  * Fix nested examples directory in deb.
  * Add a test suite for the mercurial backend, contributed by Emanuele Aina.
  * Add a test suite for the svn backend.
  * Add a test suite for the git backend, from Recai
  * Daemonize before sending RPC pings, since that can take a while
    and/or hang.
  * Daemonize before sending commit mails, as that can also take a long
    time/hang if the mail server is unhappy.
  * Factor out commit mail sending code into new function.
  * Change rcs_commit, it is now passed the name of the user doing the commit
    and their IP address, and needs to construct its own commit message
    containing them, or do something more appropriate for the given RCS.
  * Add softwaresite example.
  * Mercurial backend improvements, including --get-ctime support. (Emanuele
    Aina)
  * Git backend improvements, including bug fixes and better robustness,
    from Recai.

 -- Joey Hess <joeyh@debian.org>  Sun, 26 Nov 2006 20:46:56 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Build-Depends: perl, debhelper (>= 5)
-Build-Depends-Indep: dpkg-dev (>= 1.9.0), markdown, libhtml-template-perl, libhtml-scrubber-perl, wdg-html-validator, libtext-wikiformat-perl, libhtml-parser-perl, liburi-perl, perlmagick
+Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl, markdown, libtimedate-perl, libhtml-template-perl, libhtml-scrubber-perl, wdg-html-validator, libhtml-parser-perl, liburi-perl, perlmagick
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.7.2
 XS-Vcs-Svn: svn://svn.kitenet.net/ikiwiki/trunk
@@ -11,7 +11,7 @@
 Architecture: all
 Depends: ${perl:Depends}, libxml-simple-perl, markdown, libtimedate-perl, libhtml-template-perl, libhtml-scrubber-perl, libcgi-formbuilder-perl (>= 3.02.02), libtime-duration-perl, libcgi-session-perl (>= 4.14-1), libmail-sendmail-perl, gcc | c-compiler, libc6-dev | libc-dev, libhtml-parser-perl, liburi-perl
 Recommends: subversion | git-core | tla | mercurial, hyperestraier
-Suggests: viewcvs, librpc-xml-perl, libtext-wikiformat-perl, python-docutils, polygen, tidy, libxml-feed-perl, libmailtools-perl, perlmagick, libfile-mimeinfo-perl
+Suggests: viewcvs, librpc-xml-perl, libtext-wikiformat-perl, python-docutils, polygen, tidy, libxml-feed-perl, libmailtools-perl, perlmagick, libfile-mimeinfo-perl, libnet-openid-consumer-perl, libcrypt-ssleay-perl
 Description: a wiki compiler
  ikiwiki converts a directory full of wiki pages into html pages suitable
  for publishing on a website. Unlike many wikis, ikiwiki does not have its

## ikiwiki 2.3

=== debian/changelog ===
ikiwiki (2.3) unstable; urgency=low

  * Corrected a typo in an error handler in the image plugin.
  * Allow svnpath config option to contain additional extra slashes anywhere
    w/o confusing ikiwiki.
  * Rcs modules are now imported, so other modules that need similar
    normalisation of configs etc can do so.
  * Patch fixing various additional problems with test suite. Closes: #425891
    once more.
  * French update from Jean-Luc Coulon. Closes: #430771
  * Correct a longstanding bug that could cause the edit form to be empty.
    This turns out to have occured if the cgi wrapper was created by an
    ikiwiki invocation that included --rebuild. Thanks to Carl Worth for
    tracking that down.

 -- Joey Hess <joeyh@debian.org>  Fri, 29 Jun 2007 18:30:38 -0400

ikiwiki (2.2) unstable; urgency=low

  * Change the aggregate plugin's locking strategy. Now it defers loading state
    until the wiki is building and already locked, unless it's aggregating.
    When aggregating, it does not wait for the lock if it cannot get it, and
    instead exits, to prevent aggregating processes from piling up.
  * Updated Spanish translation from Victor Moral.
  * Correct bug in the img plugin that caused dependencies on images to not
    always be tracked correctly.
  * Deal better with rebuilds that involve moving files; track and clean up the
    old files.
  * Change where the img plugin puts scaled images. It's better to make the
    scaled images subpages of the page that embeds them, rather than putting
    them alongside the original image, since if two pages scale the same image
    the same way, this prevents complications in dealing with two pages
    creating the same file. The move will be handled transparently, though you
    might want to rebuild your wiki to make it occur in one step.
  * Fix FTBFS in test suite introduced in last version. Closes: #425891
  * Apply a patch from Carl Worth allowing a class attribute to be passed
    through the img plugin. Also allow the id attribute to be passed through.
  * More consistent encoding of titles in rss and atom feeds. Don't use
    ESCAPE=HTML for titles in the templates for these feeds, and instead
    escape the title going in to the template. Previously, the title was
    sometimes double-escaped in a feed (if set via meta title), and sometimes
    not (if set from the page filename).
  * In the meta plugin, when a title is set, encode the html entities in it
    numerically. This works better in the current landscape of a rss spec that
    doesn't specify encoding, and variously broken feed consumers, according
    to <http://www.rssboard.org/rss-profile#data-types-characterdata>.
  * Correct some issues with display of unhandled preprocessor directives.
  * Apply a patch from Carl Worth adding support for using globs in link()
    in a PageSpec.
  * Explode some of the more insane regexps.
  * Add test suite for preprocessor directive parsing.
  * Fix wrapper generator and untaint code's handling of strings contining
    newlines.
  * Make the url absolution code for feeds significantly more robust.
  * Add typographyattributes configuration setting to typography plugin.

 -- Joey Hess <joeyh@debian.org>  Mon, 18 Jun 2007 21:21:56 +0100

ikiwiki (2.1) unstable; urgency=low

  [ Joey Hess ]
  * Use div layout for the signin and preferences forms, so that they can be
    styled using the stylesheet, rather than by creating signin and prefs
    templates.
  * Make the openid login form nicely styled.
  * Fix a bug that prevented clearing email or subscriptions.
  * Improve handling of edits of locked pages by users who are not yet signed
    in.
  * Make testpagespec more robust, including checking for missing/bad
    parameters.
  * Add all=no option to conditional, can be used to form conditionals that do
    not need to examine every page in the wiki.
  * Add the needsbuild hook. Plugins can use this to manipulate which files
    ikiwiki builds when refreshing the wiki.

  [ Josh Triplett ]
  * Add an account-creation password as a simple anti-spam mechanism. If
    set in the wiki setup, passwordauth will require the password in
    order to create an account.

  [ Joey Hess ]
  * Updated Czech translation from Miroslav Kure.
  * Apply patch from Pawel to avoid using -L in Makefile as it's not available
    in older finds.
  * Make all templates have a footer div to ease themeing. Required template
    and style sheet updates, and unless you're using customised versions,
    you'll want to rebuild wikis on upgrade to this version to avoid
    inconsistencies.
  * Allow WIKINAME to to used in footers, as an example of something to put
    there.
  * Patch from hb to fix the pagestats plugin, which was broken by a past
    change to the backlinks() function.
  * Fix some bugs in password handling:
    - If the password is empty in preferences, don't clear the existing
      password.
    - Actually check the confirm password field, even if it's left empty.
  * Add a destpage parameter to the filter hook.
  * Fix links to smilies generated by the smiley plugin for inlined pages. The
    old links were often wrong, but often still worked by accident.
  * Add a test ensuring that the basewiki is self-contained and has no broken
    links.

 -- Joey Hess <joeyh@debian.org>  Sat, 19 May 2007 20:37:38 -0400

ikiwiki (2.00) unstable; urgency=low

  [ Josh Triplett ]
  * Avoid using GNU extensions to cp during "make install", which did
    not work on FreeBSD.  Thanks to Henrik Brix Andersen for the patch.

  [ Joey Hess ]
  * Use fieldsets in the preferences form to group related options together.
    Especially cleans up the ordering of the admin's preferences form.
  * Use a fieldset to set off the openid entry from the rest of the login
    form.
  * Enable openid logins by default.
  * Enable usedirs by default.

  [ Josh Triplett ]
  * fieldset support appeared in CGI::FormBuilder 3.05, so increase


=== debian/control ===
Source: ikiwiki
Section: web
Priority: optional
Build-Depends: perl, debhelper (>= 5)
Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl, markdown, libtimedate-perl, libhtml-template-perl, libhtml-scrubber-perl, wdg-html-validator, libhtml-parser-perl, liburi-perl
Maintainer: Joey Hess <joeyh@debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Josh Triplett <josh@freedesktop.org>
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.kitenet.net/ikiwiki/trunk
XS-Vcs-Browser: http://ikiwiki.info/cgi-bin/viewvc.cgi/trunk/?root=ikiwiki

Package: ikiwiki
Architecture: all
Depends: ${perl:Depends}, libxml-simple-perl, markdown, libtimedate-perl, libhtml-template-perl, libhtml-scrubber-perl, libcgi-formbuilder-perl (>= 3.05), libtime-duration-perl, libcgi-session-perl (>= 4.14-1), libmail-sendmail-perl, gcc | c-compiler, libc6-dev | libc-dev, libhtml-parser-perl, liburi-perl
Recommends: subversion | git-core | tla | mercurial, hyperestraier, libnet-openid-consumer-perl
Suggests: viewvc | viewcvs, librpc-xml-perl, libtext-wikiformat-perl, python-docutils, polygen, tidy, libxml-feed-perl, libmailtools-perl, perlmagick, libfile-mimeinfo-perl, libcrypt-ssleay-perl, liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl, libtext-csv-perl, libdigest-sha1-perl, graphviz
Conflicts: ikiwiki-plugin-table
Replaces: ikiwiki-plugin-table
Provides: ikiwiki-plugin-table
Description: a wiki compiler
 ikiwiki converts a directory full of wiki pages into HTML pages suitable
 for publishing on a website. Unlike many wikis, ikiwiki does not have its
 own ad-hoc means of storing page history, and instead uses a revision control
 system such as Subversion or Git.
 .
 ikiwiki implements all of the other standard features of a wiki, including
 web-based page editing, user registration and logins, a RecentChanges
 page, BackLinks, search, Discussion pages, tags, smart merging and conflict
 resolution, page locking, and commit emails.
 .
 ikiwiki also supports generating news feeds (RSS and Atom) and blogging.
 ikiwiki provides a plugin system which allows many other features to be
 added. Some of the plugins have additional dependencies, found among the
 Recommends and Suggests of this package.
 .
  Homepage: http://ikiwiki.info/

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	perl Makefile.PL PREFIX=/usr
+	perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor
 	$(MAKE)
 	$(MAKE) test
 	touch build-stamp
@@ -22,8 +22,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	$(MAKE) pure_install INSTALLDIRS=vendor \
-		DESTDIR=$(shell pwd)/debian/ikiwiki
+	$(MAKE) pure_install DESTDIR=$(shell pwd)/debian/ikiwiki
 	dh_install wikilist etc/ikiwiki
 	dh_installdocs html
 	dh_installexamples doc/examples/*

## ikiwiki 2.32.3ubuntu2

=== po/Makefile ===
# List here all source files with translatable strings.
POTFILES=$(sort $(shell find ../IkiWiki -type f -name \*.pm)) \
	../ikiwiki.in ../IkiWiki.pm

POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)

all: ikiwiki.pot $(MOFILES)

install: all
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(DESTDIR)$(PREFIX)/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(DESTDIR)$(PREFIX)/share/locale/$$lang/LC_MESSAGES/ikiwiki.mo; \
	done

ikiwiki.pot: $(POTFILES)
	@if perl -e '($$ver)=`xgettext -V | head -n 1`=~/.*\s+([0-9]+\.[0-9]+)/; die "gettext $$ver too old, not updating the pot file\n" if $$ver < 0.16'; then \
		echo "Rebuilding the pot file"; \
		xgettext $(POTFILES) -o ikiwiki.pot -Lperl --add-comments=translators; \
	fi

clean:
	rm -f $(MOFILES) messages messages.mo

%.mo: %.po
	msgfmt -o $@ $<

%.po: ikiwiki.pot
	@echo -n "Merging ikiwiki.pot and $@"
	@msgmerge $@ ikiwiki.pot -o $@.new 2>&1
# Typically all that changes was a date or line number. I'd prefer not to
# commit such changes, so detect and ignore them.
	@if [ "`diff $@ $@.new | grep '[<>]' | grep -v '[<>] #:' | wc -l`" -ne 2 ]; then \
		mv -f $@.new $@; \
	else \
		rm -f $@.new; \
	fi
	@msgfmt --statistics $@ 2>&1

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

=== debian/changelog ===
ikiwiki (2.32.3ubuntu2) hardy; urgency=low

  * Dont build-depend on wdg-html-validator. Fixes FTBFS. The xmlns now set in
    generated <html> elements causes /usr/bin/validate to attempt to download
    a file from w3.org. This doesn't work without Internet access.

 -- William Grant <william@qeuni.net>  Mon, 24 Mar 2008 00:55:52 +1100

ikiwiki (2.32.3ubuntu1) hardy; urgency=low

  * Build-depend on liblocale-gettext-perl. Fixes FTBFS.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- William Grant <william@qeuni.net>  Sun, 23 Mar 2008 15:53:25 +1100

ikiwiki (2.32.3) unstable; urgency=high

  [ Josh Triplett ]
  * Do not allow the about: URI scheme; some browsers interpret about:
    URIs like a limited version of data: URIs.  In particular, some
    versions of Internet Explorer interpret arbitrary HTML content in
    about: URIs.
  * Also filter the attributes cite, longdesc, and usemap, which can contain
    URIs.

  [ Joey Hess ]
  * meta: Check that the urls provided for authorurl, permalink, and openid
    are safe and can't contain javascript.

  [ Josh Triplett ]
  * Match literal '.' in URI schemas containing '.', rather than matching any
    character.
  * Do not allow the steam: URI scheme.
  * Allow the snews: URI scheme.
  * Allow the smb: URI scheme.

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Feb 2008 18:52:20 -0500

ikiwiki (2.31.2) unstable; urgency=high

  * The security fix in the last release had buggy handling of data:image,
    now fixed.

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Feb 2008 15:31:17 -0500

ikiwiki (2.31.1) unstable; urgency=low

  * htmlscrubber security fix: Block javascript in uris.
  * Add htmlscrubber test suite.
  * Thanks to Josh Triplett for pointing out the holes and for his help
    in implementing and checking fixes.

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Feb 2008 13:22:59 -0500

ikiwiki (2.31) unstable; urgency=low

  [ Joey Hess ]
  * Revert preservation of input file modification times in output files,
    since this leads to too many problems with web caching, especially with
    inlined pages. Properly solving this would involve tracking every page
    that contributes to a page's content and using the youngest of them all,
    as well as special cases for things like the version plugin, and it's just
    too complex to do.
  * aggregate: Forking a child broke the one state that mattered: Forcing
    the aggregating page to be rebuilt. Fix this.
  * cgi hooks are now run before ikiwiki state is loaded.
  * This allows locking the wiki before loading state, which avoids some
    tricky locking code when saving a web edit.
  * poll: This plugin turns out to have edited pages w/o doing any locking.
    Oops. Convert it from a cgi to a sessioncgi hook, which will work
    much better.
  * recentchanges: Improve handling of links on the very static changes pages
    by thunking to the CGI, which can redirect to the page, or allow it to be
    created if it doesn't exist.
  * recentchanges: Exipre all *._change pages, even if the directory
    they're in has changed.
  * aggregate: Lots of changes; aggregation can now run without locking the
    wiki, and there is a separate aggregatelock to prevent multiple concurrent
    aggregation runs.
  * monotone changes by Brian May:
    - On commits, replace "mtn sync" bidirectional with "mtn push" single
      direction. No need to pull changes when doing a commit. mtn sync
      is still called in rcs_update.
    - Support for viewing differences via patches using viewmtn.
  * inline: When previewing, still call will_render on rss/atom files,
    just avoid actually writing the files. This is necessary because ikiwiki
    saves state after a preview (in case it actually *did* write files),
    and if will_render isn't called its security checks will get upset
    when the page is saved. Thanks to Edward Betts for his help tracking this
    tricky bug down.
  * inline: Add new `allowrss` and `allowatom` config options. These can be
    used if you want a wiki that doesn't default to generating rss or atom
    feeds, but that does allow them to be turned on for specific blogs.
  * Don't die if running with --getctime and rcs_getctime throws an error.
    There are several cases (recentchanges files, aggregated files)
    where some source files are not in revision control.
  * Page templates can now use CTIME to show when the page was created.

  [ Josh Triplett ]
  * README.Debian: Mention user wikilists.

 -- Joey Hess <joeyh@debian.org>  Sat, 09 Feb 2008 23:09:45 -0500

ikiwiki (2.30) unstable; urgency=low

  [ Joey Hess ]
  * Old versions of git-init don't support --git-dir or GIT_DIR with
    --bare. Change ikiwiki-makerepo to use a method that should work with
    those older versions too.
  * aggregate: Don't let feeds set creation times for pages in the future.
  * Add full parser for git diff-tree output (Brian Downing)
  * aggregate: Fork a child process to handle the aggregation. This simplifies
    the code, since that process can change internal state as needed, and
    it will automatically be cleaned up for the parent process, which proceeds
    to render the changes.

  [ Josh Triplett ]
  * Add trailing comma to commented-out umask in sample ikiwiki.setup, so
    that uncommenting it does not break the setup file.

  [ Joey Hess ]
  * inline: The template can check for FIRST and LAST, which will be
    set for the first and last inlined page. Useful for templates that build
    tables and the like.
  * prettydate,ddate: Don't ignore time formats passed to displaytime
    function.
  * Pages with extensions starting with "_" are internal-use, and will
    not be rendered or web-edited, or matched by normal pagespecs.
  * Add "internal()" pagespec that matches internal-use pages.
  * RecentChanges is now a static html page, that's updated whenever a commit
    is made to the wiki. It's built as a blog using inline, so it can have


=== debian/control ===
Source: ikiwiki
Section: web
Priority: optional
Build-Depends: perl, debhelper (>= 5)
Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl, markdown, libtimedate-perl, libhtml-template-perl, libhtml-scrubber-perl, libhtml-parser-perl, liburi-perl, liblocale-gettext-perl
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Josh Triplett <josh@freedesktop.org>
Standards-Version: 3.7.3
Homepage: http://ikiwiki.info/
Vcs-Git: git://git.ikiwiki.info/
Vcs-Browser: http://git.ikiwiki.info/?p=ikiwiki

Package: ikiwiki
Architecture: all
Depends: ${perl:Depends}, markdown, libhtml-template-perl, libhtml-parser-perl, liburi-perl
Recommends: gcc | c-compiler, libc6-dev | libc-dev, subversion | git-core | tla | bzr (>= 0.91) | mercurial | monotone, libxml-simple-perl, libnet-openid-consumer-perl, liblwpx-paranoidagent-perl, libtimedate-perl, libhtml-scrubber-perl, libcgi-formbuilder-perl (>= 3.05), libtime-duration-perl, libcgi-session-perl (>= 4.14-1), libmail-sendmail-perl
Suggests: viewvc | gitweb | viewcvs, hyperestraier, librpc-xml-perl, libtext-wikiformat-perl, python, python-docutils, polygen, tidy, libxml-feed-perl, libmailtools-perl, perlmagick, libfile-mimeinfo-perl, libcrypt-ssleay-perl, liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl, libtext-csv-perl, libdigest-sha1-perl, graphviz
Conflicts: ikiwiki-plugin-table
Replaces: ikiwiki-plugin-table
Provides: ikiwiki-plugin-table
Description: a wiki compiler
 ikiwiki converts a directory full of wiki pages into HTML pages suitable
 for publishing on a website. Unlike many wikis, ikiwiki does not have its
 own ad-hoc means of storing page history, and instead uses a revision control
 system such as Subversion or Git.
 .
 ikiwiki implements all of the other standard features of a wiki, including
 web-based page editing, user registration and logins, a RecentChanges
 page, BackLinks, search, Discussion pages, tags, smart merging and conflict
 resolution, and page locking.
 .
 ikiwiki also supports generating news feeds (RSS and Atom) and blogging.
 ikiwiki provides a plugin system which allows many other features to be
 added. Some of the plugins have additional dependencies, found among the
 Recommends and Suggests of this package.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 build-stamp:
 	dh_testdir
 	perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor
-	$(MAKE)
+	# taint checking disabled due to perl bug #411786
+	$(MAKE) NOTAINT=1
 	$(MAKE) test
 	touch build-stamp
 
@@ -13,7 +14,7 @@
 	dh_testroot
 	rm -f build-stamp
 	perl Makefile.PL
-	-$(MAKE) realclean
+	if [ -e Makefile ]; then $(MAKE) realclean; fi
 	dh_clean
 
 binary-arch: build
@@ -26,7 +27,7 @@
 	dh_install wikilist etc/ikiwiki
 	dh_installdocs html
 	dh_installexamples doc/examples/*
-	dh_link usr/share/common-licenses/GPL usr/share/doc/ikiwiki/html/GPL
+	dh_link usr/share/common-licenses/GPL-2 usr/share/doc/ikiwiki/html/GPL
 	dh_installchangelogs
 	dh_compress -X html
 	dh_fixperms

## ikiwiki 2.32.3ubuntu2.1

=== debian/changelog ===
ikiwiki (2.32.3ubuntu2.1) hardy-proposed; urgency=low

  * Moved libhtml-scrubber-perl from Recommends to Depends (LP: #205811)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 03 Sep 2008 13:04:28 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 Package: ikiwiki
 Architecture: all
-Depends: ${perl:Depends}, markdown, libhtml-template-perl, libhtml-parser-perl, liburi-perl
-Recommends: gcc | c-compiler, libc6-dev | libc-dev, subversion | git-core | tla | bzr (>= 0.91) | mercurial | monotone, libxml-simple-perl, libnet-openid-consumer-perl, liblwpx-paranoidagent-perl, libtimedate-perl, libhtml-scrubber-perl, libcgi-formbuilder-perl (>= 3.05), libtime-duration-perl, libcgi-session-perl (>= 4.14-1), libmail-sendmail-perl
+Depends: ${perl:Depends}, markdown, libhtml-template-perl, libhtml-parser-perl, liburi-perl, libhtml-scrubber-perl
+Recommends: gcc | c-compiler, libc6-dev | libc-dev, subversion | git-core | tla | bzr (>= 0.91) | mercurial | monotone, libxml-simple-perl, libnet-openid-consumer-perl, liblwpx-paranoidagent-perl, libtimedate-perl, libcgi-formbuilder-perl (>= 3.05), libtime-duration-perl, libcgi-session-perl (>= 4.14-1), libmail-sendmail-perl
 Suggests: viewvc | gitweb | viewcvs, hyperestraier, librpc-xml-perl, libtext-wikiformat-perl, python, python-docutils, polygen, tidy, libxml-feed-perl, libmailtools-perl, perlmagick, libfile-mimeinfo-perl, libcrypt-ssleay-perl, liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl, libtext-csv-perl, libdigest-sha1-perl, graphviz
 Conflicts: ikiwiki-plugin-table
 Replaces: ikiwiki-plugin-table
